SPRING BOOT FOR APACHE GEODE & PIVOTAL GEMFIRE CHANGELOG
--------------------------------------------------------
https://github.com/spring-projects/spring-boot-data-geode
=========================================================


Changes in version 1.2.1.RELEASE (2019-11-06)
---------------------------------------------
Aligns SBDG with Spring Framework 5.2.1.RELEASE, Spring Boot 2.2.1.RELEASE and Spring Data Moore-SR1.  Improves test
coverage around cluster configuration metadata push from client to server.

* Adds additional test cases to assert Spring Cloud ClientHttpRequestInterceptors do not interfere with Spring Data
Geode's cluster configuration push from client to server using REST over HTTP.
* Upgrades to Spring Framework 5.2.1.RELEASE.
* Upgrades to Spring Boot 2.2.1.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.2.1.RELEASE.
* Upgrades to Spring Data Release Train Moore-SR1.


Changes in version 1.1.3.RELEASE (2019-11-06)
---------------------------------------------
Aligns SBDG with Spring Framework 5.1.11.RELEASE, Spring Boot 2.1.10.RELEASE and Spring Data Lovelace-SR12.  Improves
test coverage around cluster configuration metadata push from client to server.

* Adds additional test cases to assert Spring Cloud ClientHttpRequestInterceptors do not run interference with
Spring Data Geode's cluster configuration push from client to server over HTTP/REST.
* Upgrades to Spring Framework 5.1.11.RELEASE.
* Upgrades to Spring Boot 2.1.10.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.1.12.RELEASE.
* Upgrades to Spring Data Release Train Lovelace-SR12.


Changes in version 1.2.0.RELEASE (2019-10-18)
---------------------------------------------
Tidies up the SBDG project for the 1.2 GA release.  Removes the spring-cloudcache-starter* modules and then clarifies
in documentation about switching from Apache Geode to Pivotal GemFire bits, even in the context of Pivotal Platform
(PCF) using Pivotal Cloud Cache (PCC).  Adds auto-configuration support for TLS in PCF when using PCC.

* Adds auto-configuration support to detect when TLS is enabled in PCF when using PCC and then configures SSL between
the client and servers in a PCC cluster using the default SSL context provided via the JRE.
See https://github.com/spring-projects/spring-boot-data-geode/issues/61.
* Edits the documentation in the Appendix on switching between Apache Geode and Pivotal GemFire or Pivotal Cloud Cache
(PCC) with additional details on the required Pivotal Commercial Repository declaration as well ass the server
declaration containing user credentials required to authenticate with the repo in ~/.m2/settings.xml.
See https://github.com/spring-projects/spring-boot-data-geode/issues/62.
* Removes all spring-cloudcache-starter* modules.  User must use the spring-gemfire-starter* modules for both
Pivotal GemFire as well as Pivotal Cloud Cache (PCC).
See https://github.com/spring-projects/spring-boot-data-geode/issues/63.
* Upgrades to Spring Boot 2.2.0.RELEASE.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.2.0.RELEASE.
* Upgrades to Spring Session BOM Corn-RELEASE.


Changes in version 1.2.0.RC1 (2019-10-03)
-----------------------------------------
Adds a new "Getting Stated" Guide showing users how to get started quickly, easily and reliably, building Apache Geode
applications using Spring Boot, and in particular, Spring Boot for Apache Geode.

* Add new "Getting Started" Guide and Example Code showing users how to use Spring Boot for Apache Geode.
See https://github.com/spring-projects/spring-boot-data-geode/issues/54.
* Improved details on switching from Apache Geode to Pivotal Cloud Cache (PCC) when deploying and running your
Spring Boot applications to Pivotal Platform using PCC.
See https://github.com/spring-projects/spring-boot-data-geode/issues/59.
* Added a Smoke Test test suite to cover common use cases of Spring Boot for Apache Geode.
See https://github.com/spring-projects/spring-boot-data-geode/issues/51.
* Upgrades to Apache Geode 1.9.1.
* Upgrades to Mockito 3.1.0.
* Upgrades to Pivotal GemFire 9.8.4.
* Upgrades to Spring Framework 5.2.0.RELEASE
* Upgrades to Spring Boot 2.2.0.RC1.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.2.0.RELEASE.
* Upgrades to Spring Data Release Train Moore-RELEASE.
* Upgrades to Spring Session BOM Corn-RC1.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.2.0.RC1.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.9.RELEASE.


Changes in version 1.1.2.RELEASE (2019-10-02)
---------------------------------------------
Fixes auto-wiring issues with auto-configured per Region GemfireTemplate beans in application components.

* Fixes auto-wiring issue with the auto-configure Region GemfireTemplate beans provided by SBDG.
See https://github.com/spring-projects/spring-boot-data-geode/issues/55.
* Edits documentation providing details on how to acquire the Pivotal Cloud Cache (PCC) or Pivotal GemFire bits
when switching between Apache Geode and Pivotal GemFire or PCC.
See https://github.com/spring-projects/spring-boot-data-geode/issues/59.
* Upgrades to Mockito 3.1.0
* Upgrades to Spring Framework 5.1.10.RELEASE.
* Upgrades to Spring Boot 2.1.9.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.1.11.RELEASE.
* Upgrades to Spring Data Release Train Lovelace-SR11.
* Upgrades to Spring Session BOM Bean-SR8.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.1.6.RELEASE.


Changes in version 1.2.0.M3 (2019-09-24)
----------------------------------------
Adds support for dynamic auto-configuration of Spring Boot applications to detect the presence of an Apache Geode
or Pivotal Cloud Cache (PCC) cluster.  When a cluster is available, SBDG applications will run in a client/server
topology, otherwise SBDG applications switch to local-only mode.

* Adds @EnableClusterAware configuration support to allow application developers to switch between local
and client/server development environments.
https://github.com/spring-projects/spring-boot-data-geode/issues/52
* Adds chapter in the Reference Guide on 'Auto-configuration'.
* Adds chapter in the Reference Guide on 'Declarative Configuration'.
* Edits the document on 'Externalized Configuration'.
* Fixes bug when autowiring auto-configured GemfireTemplates into application components.
https://github.com/spring-projects/spring-boot-data-geode/issues/55
* Improves intelligence around the auto-configuration of CQ functionality to be based on the new Cluster-aware Conditions.
https://github.com/spring-projects/spring-boot-data-geode/issues/53


Changes in version 1.2.0.M2 (2019-09-11)
----------------------------------------
Adds support to run Spring Boot applications deployed to PCF using PCC as a specific user.  Additionally, adds
Spring Boot Starters for Pivotal Cloud Cache.

* Adds Spring Boot Starters (e.g. spring-cloudcache-starter, *-starter-actuator, *-starter-session, and *-starter-test)
for Pivotal Cloud Cache (PCC).
https://github.com/spring-projects/spring-boot-data-geode/issues/46
* Adds support to run Spring Boot applications deployed to PCF using PCC as a specific user.
https://github.com/spring-projects/spring-boot-data-geode/issues/44
* Adds support for setting the 'locators' and 'remote-locators' GemFire/Geode properties when configuring
and bootstrapping Apache Geode Locator applications using Spring Boot and the SDG @LocatorApplication annotation.
* Adds documentation to the Reference Guide on configuring and bootstrapping Apache Geode Locator-based application
using Spring Boot and the SDG @LocatorApplication annotation.  An example class is also provided.
* Changes Apache Geode documentation references to version 1.9 and Pivotal GemFire documentation references
to version 9.8.
* Edits the documentation on 'Building ClientCache Applications' in the Reference Guide.
* Edits the documentation on 'Building Embedded (Peer & Server) Cache Applications' in the Reference Guide.
* Edits the 'Security' & 'Pivotal CloudFoundry' chapters in the Reference Guide.
* Fixes incorrect URL reference to the Pivotal Cloud Cache documentation.
* Fixes the incorrect declared scope of the 'org.springframework.data:spring-data-geode-test' dependency in the 'spring-geode-starter-test' module
as well as the incorrect declared scope of the 'org.springframework.data:spring-data-gemfire-test' dependency in the 'spring-gemfire-starter-test' module.
https://github.com/spring-projects/spring-boot-data-geode/issues/50
* Fixes the EnableSecurityCondition and nested Conditions to properly consider the SBDG property for enabling
and disabling ClientSecurityAutoConfiguration.
* Fixes the EnableSslCondition and nested Conditions to properly consider the SBDG property for enabling and disabling
SslAutoConfiguration.
* Fixes an issue caused by Apache Geode that makes Spring Boot think all Spring Boot, Apache Geode applications
are Web Applications.  This is dues to geode-core's compile-time dependency on 'org.eclipe.jetty:jetty-server', which
itself has a transitive dependency on the 'javax.servlet:javax.servlet-api'.  Therefore, SBDG Starters add an exclude
on the 'javax.servlet-api'.
https://github.com/spring-projects/spring-boot-data-geode/issues/47
* Removes the runtime dependency on the 'javax.cache:cache-api' for the SBDG Starters, which is no longer
a required SDG dependency.
https://github.com/spring-projects/spring-boot-data-geode/issues/45
* Upgrades to Spring Framework 5.2.0.RC2
* Upgrades to Spring Boot 2.2.0.M6
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.2.0.RC3.
* Upgrades to Spring Data Release Train Moore-RC3.
* Upgrades to Spring Session BOM Corn-M4.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.2.0.M4.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.8.RELEASE.


Changes in version 1.1.1.RELEASE (2019-09-11)
---------------------------------------------
Adds support to run Spring Boot applications deployed to PCF using PCC as a specific user.

* Adds support to run Spring Boot applications deployed to PCF using PCC as a specific user.
https://github.com/spring-projects/spring-boot-data-geode/issues/44
* Edits the documentation on 'Building ClientCache Applications' in the Reference Guide.
* Edits the documentation on 'Building Embedded (Peer & Server) Cache Applications' in the Reference Guide.
* Edits the 'Security' & 'Pivotal CloudFoundry' chapters in the Reference Guide.
* Fixes the incorrect declared scope of the 'org.springframework.data:spring-data-geode-test' dependency in the 'spring-geode-starter-test' module
as well as the incorrect declared scope of the 'org.springframework.data:spring-data-gemfire-test' dependency in the 'spring-gemfire-starter-test' module.
https://github.com/spring-projects/spring-boot-data-geode/issues/50
* Fixes the EnableSecurityCondition and nested Conditions to properly consider the SBDG property for enabling
and disabling the ClientSecurityAutoConfiguration.
* Fixes the EnableSslCondition and nested Conditions to properly consider the SBDG property for enabling and disabling
the SslAutoConfiguration.
* Upgrades to Spring Boot 2.1.8.RELEASE.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.8.RELEASE.


Changes in version 1.2.0.M1 (2019-08-21)
----------------------------------------
Rebases SBDG on Spring Framework 5.2, Spring Boot 2.2, Spring Data Moore/2.2 and Spring Session Corn/2.2.

* Upgrades to Apache Geode 1.9.0.
* Upgrades to the Apache Geode Management REST API 1.9.0 for testing cluster configuration and Auth.
* Upgrade to Pivotal GemFire 9.8.3
* Upgrades to Spring Framework 2.2.0.BUILD-SNAPSHOT.
* Upgrades to Spring Boot 2.2.0.BUILD-SNAPSHOT.
* Upgrades to Spring Data Release Train Moore-BUILD-SNAPSHOT.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.2.0.BUILD-SNAPSHOT.
* Upgrades to Spring Session BOM Corn-BUILD-SNAPSHOT.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.2.0.BUILD-SNAPSHOT.


Changes in version 1.1.0.RELEASE (2019-08-21)
---------------------------------------------
Adds a new Sample with Guide and Code on HTTP Session Caching.

* Adds a new Sample with Guide and Example Spring Boot Application showcasing HTTP Session Caching with Spring Session
and Apache Geode.
* Resolves GitHub Issue #41.
* Removes improper use of the Apache Shiro API in production code, replacing usages with the matching and appropriate
Spring Framework API class.
* Cleans up unnecessary transitive dependencies.


Changes in version 1.1.0.RC2 (2019-08-13)
-----------------------------------------
Adds a new Sample with Guide and Code on Near Caching.

* Adds a new Sample with Guide and Example Spring Boot Application showcasing Near Caching.
* Adds Integration Tests for all Samples except the Spring Boot Actuator Sample.
* Edits the Sample Guides on Look-Aside Caching and Inline Caching.
* Upgrades to Spring Framework 5.1.9.RELEASE.
* Upgrades to Spring Boot 2.1.7.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.1.10.RELEASE.
* Upgrades to Spring Data Release Train Lovelace-SR10.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.1.5.RELEASE.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.7.RELEASE.
* Upgrades to Test Containers 1.11.3.


Changes in version 1.1.0.RC1 (2019-08-02)
-----------------------------------------
Adds a new Sample with Guide and Code on Inline Caching.

* Adds a new Sample with Guide and Example Spring Boot application showcasing Inline Caching.
* Refactors and cleans up the SBDG Maven POM generation.
* Upgrades to Mockito 3.0.0.
* Upgrades to Pivotal GemFire 9.5.4.
* Upgrades to Spring Build Conventions Gradle Plugin 0.0.26.RELEASE.
* Cleans up all uses of HTTP URLs, switching to HTTPS.


Changes in version 1.1.0.M3 (2019-07-03)
----------------------------------------
Adds support for deploying Spring Boot, ClientCache applications to Pivotal CloudFoundry (PCF) connected to an external,
standalone Apache Geode or Pivotal GemFire cluster.

* Adds support for hybrid cloud deployments, pushing Spring Boot, ClientCache applications to PCF connected to
an external, standalone Apache Geode or Pivotal GemFire cluster.
* Adds support to target a specific Pivotal Cloud Cache (PCC) service instance when multiple PCC service instances
are bound to a Spring Boot, ClientCache application in Pivotal CloudFoundry (PCF).
* Adds auto-configuration for Apache Geode & Pivotal GemFire logging.
* Adds a new section in the Appendix describing how to switch between open source Apache Geode & Pivotal Cloud Cache,
or alternatively, Pivotal GemFire.
* Upgrades to Spring Boot 2.1.6.RELEASE.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.5.RELEASE.
* Upgrades to Spring Session BOM Bean-SR6.


Changes in version 1.1.0.M2 (2019-06-14)
----------------------------------------
Adds support for the Inline Caching Use Case (UC) along with Spring Boot Starters for Spring Session
and Spring Test for Apache Geode & Pivotal GemFire (STDG).

* Adds the InlineCachingRegionConfigurer, RepositoryCacheLoader and RepositoryCacheWriter to support Inline Caching.
* Adds the a @EnableSecurityManagerProxy annotation for conveniently locating and configuring an Apache Geode
SecurityManager implementation declared and registered as a bean in the Spring application context.
* Adds the spring-geode-starter-session and spring-gemfire-starter-session modules to help users get started with
(HTTP) Session Caching using either Apache Geode or Pivotal GemFire as the provider.
* Adds the spring-geode-starter-test and spring-gemfire-starter-test modules, which automatically pulls in
spring-boot-starter-test and Spring Test for Apache Geode & Pivotal GemFire (STDG) to help users test their Apache Geode
or Pivotal GemFire applications in a Spring context.
* Includes early support for @LocatorApplication annotated Spring Boot applications enabling users to configure
and bootstrap a GemFire/Geode Locator using Spring Boot.
* Includes additional integration tests for customizing the auto-configuration of GemFire/Geode Pools using SDG Configurers.
* Upgrades to Spring Framework 5.1.8.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.1.9.RELEASE.
* Upgrades to Spring Data Release Train Lovelace-SR9.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.1.4.RELEASE.
* Upgrades to Spring Session BOM Bean-SR5.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.4.RELEASE.


Changes in version 1.0.1.RELEASE (2019-06-13)
---------------------------------------------
Provides support for configuring and bootstrapping Spring Boot, Apache Geode Locator-based applications.

* Adds support to configure and bootstrap Apache Geode Locator-based applications using Spring Boot.
* Adds the a @EnableSecurityManagerProxy annotation for conveniently locating and configuring an Apache Geode
SecurityManager implementation declared and registered as a bean in the Spring application context.
* Upgrades to Spring Framework 5.0.14.RELEASE.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.2.RELEASE.


Changes in version 1.1.0.M1 (2019-05-07)
----------------------------------------
Rebases SBDG on Spring Framework 5.1, Spring Boot 2.1, Spring Data Lovelace (2.1) and Spring Session 2.1.

* Adds the @EnableSecurityManager annotation and associated configuration class to configure Apache Geode & Pivotal GemFire Security (Auth) using the CacheFactory API.
* Adds the @EnableSecurityManagerProxy annotation and associated configuration class to configure Apache Geode & Pivotal GemFire Security (Auth) using the security-manager property with proxying.
* Upgrades to Apache Geode 1.6.0.
* Upgrades to the Apache Geode Management REST API 1.6.0 for testing cluster configuration and Auth.
* Upgrades to Pivotal GemFire 9.5.3.
* Upgrades to Spring Framework 5.1.6.RELEASE.
* Upgrades to Spring Boot 2.1.4.RELEASE.
* Upgrades to Spring Data for Apache Geode & Pivotal GemFire 2.1.6.RELEASE.
* Upgrades to Spring Data Release Train Lovelace-SR6.
* Upgrades to Spring Session BOM Bean-SR4.
* Upgrades to Spring Session for Apache Geode & Pivotal GemFire 2.1.3.RELEASE.


Changes in version 1.0.0.RELEASE (2019-05-06)
---------------------------------------------
Edits documentation and adds Sample with Guide and Example Application code for the Look-Aside Caching pattern.

* Fix release (milestone, release candidate, and GA) version of the reference documentation.
* Fix image links in reference docs.
* Add Sample with Guide and Example Application code covering the Look-Aside Caching pattern.
* Upgrade to Spring Data for Apache Geode & Pivotal GemFire Test 0.0.1.RELEASE.


Changes in version 1.0.0.RC2 (2019-04-30)
-----------------------------------------
Adds additional tests and includes a sample of using Spring Boot Actuator with Apache Geode and Pivotal GemFire.

* Adds a sample containing a guide along with example code to show how to use Spring Boot Actuator
with Apache Geode or Pivotal GemFire.
* Adds the 'org.springframework.boot:spring-boot-autoconfigure-processor' dependency to 'spring-geode-autoconfigure'.
* Includes documentation edits.
* Includes the JCache API as runtime dependency in both the 'spring-geode-starter' as well as the 'spring-gemfire-starter'.
* Removes exclusion on 'org.springframework.boot:spring-boot-starter-logging' and adds the exclusion on
'org.apache.logging.log4j:log4j-to-slf4j'.
* Removes unnecessary use of java.util.Optional in the codebase.
* Upgrades to Gradle 5.4.1.


Changes in version 1.0.0.RC1 (2019-04-24)
-----------------------------------------
Adds support for GemfireTemplate auto-configuration for each declared Apache Geode & Pivotal GemFire Region.

* Adds auto-configuration to automatically create a GemfireTemplate for each declared Apache Geode or Pivotal GemFire
Region (https://github.com/spring-projects/spring-boot-data-geode/issues/31).
* Includes the 'Auto-configuration vs. Annotation-based configuration' chapter in reference documentation to explain
the differences of each approach (https://github.com/spring-projects/spring-boot-data-geode/issues/20).
* Adds a sample containing a guide along with example code to explain and show how the Spring Boot auto-configuration
support for Apache Geode & Pivotal GemFire works, complimenting the 'Auto-configuration vs. Annotation-based configuration'
chapter in the reference docs.
* Fixes the HTTP client authentication bug when a client attempts to push cluster configuration to the server configured
with a SecurityManager, requiring Authentication (https://github.com/spring-projects/spring-boot-data-geode/issues/16).
* Switch reference documentation to using HTML5.
* Adds dependency management for ByteBuddy 1.9.10.
* Upgrades to Mockito 2.27.0
* Upgrades to Spring Framework 5.0.13.RELEASE.
* Upgrades to Spring Boot 2.0.9.RELEASE.
* Upgrades to Spring Data Release Train Kay-SR14.
* Upgrades to Spring Session Apple-SR9.


Changes in version 1.0.0.M4 (2019-03-22)
----------------------------------------
Adds support for Spring Boot Configuration Processor.

* Allows the use of `spring.application.name` to name a GemFire/Geode node.
* Adds Spring Boot Configuration Processor and auto-configuration for @ConfigurationProperties classes to capture
and encapsulate configuration meta-data specified in properties files.
* Includes Spring Shell as a runtime dependency in the GemFire/Geode starters.
* Workaround bug in Spring Cloud Commons consuming and discarding EnumerablePropertySources in the Environment.
* Upgrades to Mockito 2.23.4.
* Upgrades to Spring Framework 5.0.12.RELEASE.
* Upgrades to Spring Boot 2.0.8.RELEASE.
* Upgrades to Spring Data Release Train Kay-SR13.
* Upgrades to Spring Session Apple-SR8.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.1.RC1.


Changes in version 1.0.0.M3 (2018-09-20)
----------------------------------------
Adds support for Spring Boot Actuator HealthIndicator endpoints providing details and insight into the runtime operation
of either Apache Geode or Pivotal GemFire.

Partly resolves (https://github.com/spring-projects/spring-boot-data-geode/issues/4).

* Adds Spring Boot Actuator HealthIndicators for the Apache Geode & Pivotal GemFire peer Cache and ClientCache instances,
the DistributedSystem, the DistributedMember and the ResourceManager.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire Regions.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire Indexes.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire DiskStores.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire ContinuousQueries.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire Pools.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire CacheServers.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire GatewaySenders.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire GatewayReceivers.
* Adds Spring Boot Actuator HealthIndicators for Apache Geode & Pivotal GemFire AsyncEventQueues.
* Upgrades to Mockito 2.22.0.
* Upgrades to Spring Framework 5.0.9.RELEASE.
* Upgrades to Spring Boot 2.0.5.RELEASE.
* Upgrades to Spring Data Release Train Kay-SR10.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.1.M4.


Changes in version 1.0.0.M2 (2018-08-29)
----------------------------------------
Adds support to auto-configure Spring Session using Apache Geode or Pivotal GemFire as the Session state
management provider.

* Adds support to auto-configure Spring Session for Apache Geode or Pivotal GemFire as the Spring Session provider
when Spring Session for Apache Geode or Pivotal GemFire is on the classpath
(https://github.com/spring-projects/spring-boot-data-geode/issues/3).
* Improve caching provider auto-configuration to respect 'spring.cache.type'
(https://github.com/spring-projects/spring-boot-data-geode/issues/11).
* Add section to appendix describing how to disable Spring Boot auto-configuration on a feature by feature basis.
* Upgrades to Spring Framework 5.0.8.RELEASE.
* Upgrades to Spring Boot 2.0.4.RELEASE.
* Upgrades to Spring Data Release Train Kay-SR9.
* Upgrades to Spring Test for Apache Geode & Pivotal GemFire 0.0.1.M3.


Changes in version 1.0.0.M1 (2018-06-25)
----------------------------------------
Inception of the Spring Boot for Apache Geode & Pivotal GemFire project.

* Adds the spring-geode module containing the core bits and functionality for this project.
* Adds the spring-geode-autoconfigure module building on Spring Boot's auto-configuration functionality.
** Includes auto-configuration for a ClientCache instance.
** Includes auto-configuration for using Apache Geode & Pivotal GemFire as a caching provider in Spring's Cache Abstraction.
** Includes auto-configuration for Spring Data Repositories.
** Includes auto-configuration for Apache Geode & Pivotal GemFire Function Execution framework.
** Includes auto-configuration for Apache Geode & Pivotal GemFire CQ.
** Includes auto-configuration for Apache Geode & Pivotal GemFire PDX serialization.
** Includes auto-configuration for Apache Geode & Pivotal GemFire Security (Authentication/Authorization).
** Includes auto-configuration for Apache Geode & Pivotal GemFire Security (TLS using SSL).
* Adds the spring-geode-docs modules containing the project documentation and reference guide.
* Adds the spring-geode-starter module to get started building Spring Boot applications with Apache Geode.
* Adds the spring-gemfire-starter module to get started building Spring Boot applications with Pivotal GemFire.
